=head1 NAME

guestfs-ruby - How to use libguestfs from Ruby

=head1 SYNOPSIS

 require 'guestfs'
 g = Guestfs::Guestfs.new()
 g.add_drive_opts("disk.img",
                  :readonly => true, :format => "raw")
 g.launch()

=head1 DESCRIPTION

This manual page documents how to call libguestfs from the Ruby
programming language.  This page just documents the differences from
the C API and gives some examples.  If you are not familiar with using
libguestfs, you also need to read L<guestfs(3)>.

=head2 EXCEPTIONS

Errors from libguestfs functions are mapped into the C<Error>
exception.  This has a single parameter which is the error message (a
string).

=head1 EXAMPLE 1: CREATE A DISK IMAGE

@EXAMPLE1@

=head1 EXAMPLE 2: INSPECT A VIRTUAL MACHINE DISK IMAGE

@EXAMPLE2@

=head1 SEE ALSO

L<guestfs(3)>,
L<guestfs-examples(3)>,
L<guestfs-erlang(3)>,
L<guestfs-gobject(3)>,
L<guestfs-golang(3)>,
L<guestfs-java(3)>,
L<guestfs-lua(3)>,
L<guestfs-ocaml(3)>,
L<guestfs-perl(3)>,
L<guestfs-python(3)>,
L<guestfs-recipes(1)>,
L<http://libguestfs.org/>.

=head1 AUTHORS

Richard W.M. Jones (C<rjones at redhat dot com>)

=head1 COPYRIGHT

Copyright (C) 2010-2023 Red Hat Inc.
